%global qt_module qtquickcontrols2
%global __provides_exclude_from ^%{_qt5_archdatadir}/qml/.*\\.so$
%global majmin %%(echo %{version} | cut -d. -f1-2)

Summary: Qt5 - module with set of QtQuick controls for embedded
Name:    qt5-%{qt_module}
Version: 5.15.11
Release: 1%{?dist}
License: GPLv2+ or LGPLv3 and GFDL
Url:     http://www.qt.io
Source0: https://download.qt.io/official_releases/qt/%{majmin}/%{version}/submodules/%{qt_module}-everywhere-opensource-src-%{version}.tar.xz

Patch3001:  0001-Unset-mouseGrabberPopup-if-it-s-removed-from-childre.patch
Patch3002:  0002-Ensure-we-don-t-crash-when-changing-sizes-after-clea.patch
Patch3003:  0003-implement-a11y-pressing-of-qquickabstractbutton.patch
Patch3004:  0004-Fix-the-popup-position-of-a-Menu.patch
Patch3005:  0005-Accessibility-respect-value-in-attached-Accessible-i.patch

BuildRequires: make
BuildRequires: qt5-qtbase-devel >= %{version}
BuildRequires: qt5-qtbase-private-devel
BuildRequires: qt5-qtdeclarative-devel
Requires: qt5-qtdeclarative >= %{version}
Requires: qt5-qtgraphicaleffects >= %{version}
%{?_qt5:Requires: %{_qt5} = %{_qt5_version}}

%description
The Qt Labs Controls module provides a set of controls that can be used to build complete interfaces
in Qt Quick.

Unlike Qt Quick Controls, these controls are optimized for embedded systems and so are preferred for
hardware with limited resources.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release} qt5-qtbase-devel qt5-qtdeclarative-devel

%description devel
Qt5 - module with set of QtQuick controls for embedded.

%prep
%autosetup -p1 -n %{qt_module}-everywhere-src-%{version}

%build
%{qmake_qt5}
%make_build

%install
make install INSTALL_ROOT=%{buildroot}

pushd %{buildroot}%{_qt5_libdir}
for prl_file in libQt5*.prl ; do
  sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" ${prl_file}
  if [ -f "$(basename ${prl_file} .prl).so" ]; then
    rm -fv "$(basename ${prl_file} .prl).la"
    sed -i -e "/^QMAKE_PRL_LIBS/d" ${prl_file}
  fi
done
popd

rm -f %{buildroot}%{_qt5_libdir}/libQt5*.la

%files
%license LICENSE.LGPLv3 LICENSE.GPLv3
%{_qt5_libdir}/libQt5QuickTemplates2.so.5*
%{_qt5_libdir}/libQt5QuickControls2.so.5*
%{_qt5_qmldir}/Qt/labs/calendar
%{_qt5_qmldir}/Qt/labs/platform
%{_qt5_archdatadir}/qml/QtQuick/Controls.2/
%{_qt5_archdatadir}/qml/QtQuick/Templates.2/

%files devel
%{_qt5_headerdir}/
%{_qt5_libdir}/pkgconfig/*.pc
%{_qt5_libdir}/libQt5QuickTemplates2.so
%{_qt5_libdir}/libQt5QuickControls2.so
%{_qt5_libdir}/libQt5QuickTemplates2.prl
%{_qt5_libdir}/libQt5QuickControls2.prl
%{_qt5_libdir}/qt5/mkspecs/modules/*
%{_libdir}/cmake/Qt5QuickControls2/
%{_libdir}/cmake/Qt5QuickTemplates2/
%{_qt5_examplesdir}/quickcontrols2/

%changelog
* Thu Jan 11 2024 edwardewang <edwardewang@tencent.com> - 5.15.11-1
- Upgrade to 5.15.11

* Thu Sep 21 2023 kianli <kianli@tencent.com> - 5.15.10-1
- Upgrade to 5.15.10

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.9-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Jul 17 2023 Shuo Wang <abushwang@tencent.com> - 5.15.9-1
- update to 5.15.9

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.15.7-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Mar 20 2023 Shuo Wang <abushwang@tencent.com> - 5.15.7-1
- initial build
